package com.wangzhengzhen.demo.proxy;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

public class PortForward {

	
	public static void main(String[] args) throws IOException {
		
		int listen = 1521; // 监听端口
		String des = "10.128.179.18"; // 远程地址
		int dport = 3306; // 远程端口
		
		ServerSocket sSocket = new ServerSocket(listen);
		while (true) {
			try {
				Socket clientSocket = null;
				Socket remoteServerSocket = null;
				// 获取客户端连接
				clientSocket = sSocket.accept();
				
				
				remoteServerSocket = new Socket(des, dport);

				// 启动数据转换接口
				TransPortData tpd1 = new TransPortData(clientSocket, remoteServerSocket);
				Thread th1 = new Thread(tpd1);
				th1.start();
				TransPortData tpd2 = new TransPortData(remoteServerSocket, clientSocket);
				Thread th2 = new Thread(tpd2);
				th2.start();
				
			} catch (IOException e) {
				break;
			}
		}
		sSocket.close();
	}
	
}
